'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'scripts:test-dev',
    config: 'test',
    callback: callback
};

module.exports = config;

/////////////////////////////

// Test dev
function callback(settings, done) {
    var testFiles = settings.test.shared;
    testFiles = testFiles.concat(settings.test.libs);
    testFiles = testFiles.concat(settings.test.spec);
    testFiles = testFiles.concat(settings.src);

    return gulp.src(testFiles)
        .pipe($.karma({
            configFile: './test/dev.karma.conf.js',
            action: 'run'
        }))
        .pipe($.size({title: 'scripts:test-dev'}));
}
